import request from '@/utils/request'

// 查询预约作业内容列表
export function listWorkcontent(query) {
  return request({
    url: '/invoice/workcontent/list',
    method: 'get',
    params: query
  })
}

// 查询预约作业内容详细
export function getWorkcontent(id) {
  return request({
    url: '/invoice/workcontent/' + id,
    method: 'get'
  })
}

// 根据关联ID查询预约作业内容详细
export function getWorkcontentBybookingticketId(bookingticketId) {
  return request({
    url: '/invoice/workcontent/getWorkcontentBybookingticketId' + bookingticketId,
    method: 'get'
  })
}

// 新增预约作业内容
export function addWorkcontent(data) {
  return request({
    url: '/invoice/workcontent',
    method: 'post',
    data: data
  })
}

// 修改预约作业内容
export function updateWorkcontent(data) {
  return request({
    url: '/invoice/workcontent',
    method: 'put',
    data: data
  })
}

// 删除预约作业内容
export function delWorkcontent(id) {
  return request({
    url: '/invoice/workcontent/' + id,
    method: 'delete'
  })
}

// 导出预约作业内容
export function exportWorkcontent(query) {
  return request({
    url: '/invoice/workcontent/export',
    method: 'get',
    params: query
  })
}